from fastapi import APIRouter, HTTPException
from pydantic import BaseModel

router = APIRouter()

class UserRegistration(BaseModel):
    username: str
    password: str
    email: str

@router.post("/signup")
async def signup(user: UserRegistration):
    return {"message": "User is now registered successfully", "user": user.username}